get
https://api.connex.trade/api/v1/trading/data/export/list
Return export tasks and their statuses.
Permission
- Applies to both primary user and trading portfolio's API Key.
- Permission: READ.
Rate Limit
- 30 requests per second.
Request Parameters
| Field name | Type | Necessary | Remarks |
|---|---|---|---|
| exportType | Int | Y | Export type(1-History Order,3-History Position) |
| exchange | String | N | Exchange type (BINANCE, OKX) |
| businessType | String | N | Business type (SPOT, MARGIN, PERP) |
| exportStatus | Int | N | 1 - Pending, 2 - Processing, 3 -Processed. |
| page | Int | N | Page number to retrieve. Default is 1. |
| pageSize | Int | N | Number of records per page. Default is 1000, maximum is 1000 |
Response
| Field name | Type | Remarks |
|---|---|---|
| exportId | Int | History Data Export ID |
| portfolioId | String | Portfolio ID |
| exportType | String | Export type(1-History Order,3-History Position). |
| exchangeType | String | Exchange type(BINANCE,OKX) |
| businessType | String | Business type(SPOT,MARGIN,PERP) |
| orderState | String | Please see Order State for supported values. |
| startTime | Long | Export data start time(millisecond timestamp) |
| endTime | Long | Export data end time(millisecond timestamp) |
| isFilterCancel | Int | 0-All Data, 1-Filtering orders with no quantity filled. Effective only when exporting order data. Default export all orders. |
| downloadUrl | String | download url |
| status | Int | 1-Pending, 2-Processing, 3-Processed. |
| createAt | Long | Create data time(millisecond timestamp) |
| updateAt | Long | Update data time(millisecond timestamp) |
Example Response
{
"code": 200000,
"message": "Success",
"data": {
"page": 1,
"pageSize": 20,
"pageNum": 1,
"totalSize": 1,
"list": [
{
"exportId": "289",
"portfolioId": "2181303269223237",
"exportType": 1,
"exchangeType": "",
"businessType": "",
"orderState": "",
"startTime": 1782316800000,
"endTime": 1782662400000,
"isFilterCancel": 0,
"downloadUrl": "",
"status": 3,
"createAt": "1782785341091",
"updateAt": "1782785389103"
}
]
}
}
